
From: Andrew Morton <akpm@osdl.org>

__init+inline doesn't make a lot of sense.  Use one or the other..

Cc: Jan Beulich <jbeulich@novell.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 init/initramfs.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN init/initramfs.c~free-initrd-mem-adjustment-fix init/initramfs.c
--- 25/init/initramfs.c~free-initrd-mem-adjustment-fix	Fri Sep  9 17:02:10 2005
+++ 25-akpm/init/initramfs.c	Fri Sep  9 17:02:10 2005
@@ -467,7 +467,7 @@ extern char __initramfs_start[], __initr
 #ifdef CONFIG_BLK_DEV_INITRD
 #include <linux/initrd.h>
 
-static inline void __init free_initrd(void)
+static void __init free_initrd(void)
 {
 	free_initrd_mem(initrd_start, initrd_end);
 	initrd_start = 0;
_
